Bug 1059893 - (CVE-2017-7544) VUL-1:CVE-2017-7544: libexif: Out-of-bounds heap read in exif_data_save_data_entry function
(CVE-2017-7544)
VUL-1:CVE-2017-7544: libexif: Out-of-bounds heap read in exif_data_save_data_...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/192305/
CVSSv2:NVD:CVE-2017-7544:6.4:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-22 05:59 UTC by Marcus Meissner
Modified: 2020-07-08 13:22 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-09-22 05:59:31 UTC
rh#1494196

libexif through 0.6.21 is vulnerable to out-of-bounds heap read vulnerability in
exif_data_save_data_entry function in libexif/exif-data.c caused by improper
length computation of the allocated data of an ExifMnote entry which can cause
denial-of-service or possibly information disclosure.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1494196
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-7544
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7544
https://sourceforge.net/p/libexif/bugs/130/
Comment 2 Swamp Workflow Management 2018-01-17 16:29:58 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-01-31.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63940
Comment 3 Swamp Workflow Management 2018-01-24 17:10:06 UTC
SUSE-SU-2018:0193-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893
CVE References: CVE-2016-6328,CVE-2017-7544
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Server 12-SP3 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Server 12-SP2 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libexif-0.6.21-8.3.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libexif-0.6.21-8.3.1
Comment 4 Swamp Workflow Management 2018-01-24 17:11:11 UTC
SUSE-SU-2018:0195-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1059893
CVE References: CVE-2017-7544
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    libexif-0.6.17-2.14.3.1
SUSE Linux Enterprise Server 11-SP4 (src):    libexif-0.6.17-2.14.3.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libexif-0.6.17-2.14.3.1
Comment 5 Marcus Meissner 2018-01-25 07:45:30 UTC
released
Comment 6 Swamp Workflow Management 2018-01-25 11:08:56 UTC
openSUSE-SU-2018:0211-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893
CVE References: CVE-2016-6328,CVE-2017-7544
Sources used:
openSUSE Leap 42.3 (src):    libexif-0.6.21-15.1
openSUSE Leap 42.2 (src):    libexif-0.6.21-12.3.1
Comment 7 OBSbugzilla Bot 2020-05-18 17:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1059893) was mentioned in
https://build.opensuse.org/request/show/807015 Factory / libexif
Comment 11 Swamp Workflow Management 2020-06-04 13:18:27 UTC
SUSE-SU-2020:1534-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    libexif-0.6.22-8.9.1
SUSE OpenStack Cloud 8 (src):    libexif-0.6.22-8.9.1
SUSE OpenStack Cloud 7 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP5 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP4 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Enterprise Storage 5 (src):    libexif-0.6.22-8.9.1
HPE Helion Openstack 8 (src):    libexif-0.6.22-8.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-06-08 13:19:52 UTC
SUSE-SU-2020:1553-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    libexif-0.6.22-5.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-06-11 13:12:50 UTC
openSUSE-SU-2020:0793-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
openSUSE Leap 15.1 (src):    libexif-0.6.22-lp151.4.6.1
Comment 14 Swamp Workflow Management 2020-07-08 13:22:28 UTC
SUSE-SU-2020:1553-2: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    libexif-0.6.22-5.6.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    libexif-0.6.22-5.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    libexif-0.6.22-5.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.